# Uses of Class
org.apache.sysds.runtime.controlprogram.FunctionProgramBlock

Packages that use FunctionProgramBlock
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.util

## Uses of FunctionProgramBlock in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type FunctionProgramBlock
Modifier and Type
Method
Description
`void`
CostEstimator.`maintainFCallOutputStats(FunctionCallCPInstruction finst, FunctionProgramBlock fpb)`
Creates copies of the `VarStats` for the function output parameters.

## Uses of FunctionProgramBlock in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return FunctionProgramBlock
Modifier and Type
Method
Description
`FunctionProgramBlock`
Program.`getFunctionProgramBlock(String fkey, boolean opt)`
`FunctionProgramBlock`
Program.`getFunctionProgramBlock(String namespace, String fname)`
`FunctionProgramBlock`
Program.`getFunctionProgramBlock(String namespace, String fname, boolean opt)`
Methods in org.apache.sysds.runtime.controlprogram that return types with arguments of type FunctionProgramBlock
Modifier and Type
Method
Description
`HashMap<String,FunctionProgramBlock>`
Program.`getFunctionProgramBlocks()`
`HashMap<String,FunctionProgramBlock>`
Program.`getFunctionProgramBlocks(boolean opt)`
`FunctionDictionary<FunctionProgramBlock>`
Program.`getFunctionProgramBlocks(String nsName)`
Methods in org.apache.sysds.runtime.controlprogram with parameters of type FunctionProgramBlock
Modifier and Type
Method
Description
`void`
Program.`addFunctionProgramBlock(String namespace, String fname, FunctionProgramBlock fpb)`
`void`
Program.`addFunctionProgramBlock(String namespace, String fname, FunctionProgramBlock fpb, boolean opt)`
`void`
Program.`addFunctionProgramBlock(String fkey, FunctionProgramBlock fpb, boolean opt)`

## Uses of FunctionProgramBlock in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return FunctionProgramBlock
Modifier and Type
Method
Description
`static FunctionProgramBlock`
ProgramConverter.`createDeepCopyFunctionProgramBlock(FunctionProgramBlock fpb, Set<String> fnStack, Set<String> fnCreated)`
`static FunctionProgramBlock`
ProgramConverter.`createDeepCopyFunctionProgramBlock(FunctionProgramBlock fpb, Set<String> fnStack, Set<String> fnCreated, long pid)`
`static FunctionProgramBlock`
ProgramConverter.`createDeepCopyFunctionProgramBlock(FunctionProgramBlock fpb, Set<String> fnStack, Set<String> fnCreated, long pid, int IDPrefix, boolean plain)`
Methods in org.apache.sysds.runtime.util with parameters of type FunctionProgramBlock
Modifier and Type
Method
Description
`static FunctionProgramBlock`
ProgramConverter.`createDeepCopyFunctionProgramBlock(FunctionProgramBlock fpb, Set<String> fnStack, Set<String> fnCreated)`
`static FunctionProgramBlock`
ProgramConverter.`createDeepCopyFunctionProgramBlock(FunctionProgramBlock fpb, Set<String> fnStack, Set<String> fnCreated, long pid)`
`static FunctionProgramBlock`
ProgramConverter.`createDeepCopyFunctionProgramBlock(FunctionProgramBlock fpb, Set<String> fnStack, Set<String> fnCreated, long pid, int IDPrefix, boolean plain)`